#ifndef LEDSCREAN_H_
#define LEDSCREAN_H_

void	SetMenuLedModulScrean(void);
void	RemoveMenuLedModulScrean(void);

// coolbeck funkcie tlacidiel
void	LedM_OnBackButtonPress(tWidget *pWidget);				// stlacenie back tlacidla
void	LedM_OnSetButtonPress(tWidget *pWidget);				// stlacenie sett tlacidiel settings a damo 1-3
void	LedM_OnConfigSettingsButtonPress(tWidget *pWidget);		// stlacenie konfiguracneho tlacidla settings1
void	LedM_OnManualButtonPress(tWidget *pWidget);				// stlaceni manual tlacidla


void 	SetSettingsLedModulScrean(void);
void 	RemoveSettingsLedModulScrean(void);
void 	OnSliderPanelPaint(tWidget *pWidget, tContext *pContext);
void 	OnCentralSliderPanelPaint(tWidget *pWidget, tContext *pContext);
void	LedM_OnPreviousPress(tWidget *pWidget);
void	LedM_OnNextPress(tWidget *pWidget);
void	LedM_OnSavePress(tWidget *pWidget);
void	LedM_OnClosePress(tWidget *pWidget);
void	OnCentralSliderChange(tWidget *pWidget, long lValue);
void	OnSliderChange(tWidget *pWidget, long lValue);

void	SetLEDMSlidersStatus( unsigned char *data );
void	UpdateSlidersDescription(void);
void	UpdateSlidersValue(void);

#endif /*LEDSCREAN_H_*/
